﻿/**
 * Beautify plugin
 * 
 * version: 0.3 (09/10/10) contact: iistcrimi@gmail.com Copyright (c) 2010
 * Hadeer Younis (elleestcrimi.me) licensed under the GPL license:
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Description: Beautified the look and feel of radio buttons and checkboxes.
 * 
 */
(function($)
{
	$.fn.extend(
	{
		beautify : function(options)
		{
			var defaults =
			{
				selectedColor : '#f00',
				notSelectedColor : '#000'
			}

			var options = $.extend(defaults, options);
			
			return this.each(function()
			{
				var me = options;
				if ($(this).attr('type') == 'checkbox')
				{
					var theId = $(this).attr('id');
					var theSpan = "<span class=\"check\" id=" + theId + "_spanned></span>";
					
					if ($(this).attr('checked') == true) theSpan = "<span class=\"check checked\" id=" + theId + "_spanned></span>";
					
					$(this).css('display', 'none');
					$(this).after(theSpan);
					resetCSS(me.selectedColor, me.notSelectedColor, true);
					$("#" + theId + "_spanned").click(function()
					{
						var data = $(this).attr('id').split("_");
						var inputId = "#" + data[0];
						if ($(inputId).is(':checked'))
						{
							$(inputId).attr('checked', '');
							$(this).removeClass('checked');
							resetCSS(me.selectedColor, me.notSelectedColor, true);
						}
						else
						{
							$(inputId).attr('checked', 'checked');
							$(this).addClass('checked');
							resetCSS(me.selectedColor, me.notSelectedColor, true);
						}
					});
				}
				else if ($(this).attr('type') == 'radio')
				{
					var theId = $(this).attr('id');
					var theSpan = "<span class=\"chosen\" id=" + theId + "_spanned></span>";
					
					if ($(this).attr('checked') == false) theSpan = "<span class=\"chosen notChosen\" id=" + theId + "_spanned></span>";
					$(this).css('display', 'none');
					$(this).after(theSpan);
					resetCSS(me.selectedColor, me.notSelectedColor, false);
					$("#" + theId + "_spanned").click(function()
					{
						$('.chosen').each(function()
						{
							var data = $(this).attr('id').split("_");
							var inputId = "#" + data[0];
							resetCSS(me.selectedColor, me.notSelectedColor, false);
							if ($(inputId).attr('name') == $("#" + theId).attr('name') && data[0] != theId)
							{
								$(this).attr('class', 'chosen notChosen');
								resetCSS(me.selectedColor, me.notSelectedColor, false);
							}
						});
						var data = $(this).attr('id').split("_");
						var inputId = "#" + data[0];
						$(this).toggleClass('notChosen');
						resetCSS(me.selectedColor, me.notSelectedColor, false);
						if ($(inputId).is(':checked'))
						{
							$(inputId).attr('checked', '');
						}
						else
						{
							$(inputId).attr('checked', 'checked');
						}
						
					});
				}
			});
		}
	});
	function resetCSS(selected, notSelected, box)
	{
		if (box)
		{
			$(".check").css(
			{
				borderColor : notSelected,
				boxShadow : '0px 0px 10px ' + notSelected,
				background : notSelected,
			});
			$(".checked").css(
			{
				borderColor : selected,
				boxShadow : '0px 0px 10px ' + selected,
				background : selected,
			});
			$(".check").css('-moz-box-shadow', '0px 0px 10px ' + notSelected);
			$(".check").css('-webkit-box-shadow', '0px 0px 10px ' + notSelected);
			$(".check").css('background', '-moz-linear-gradient(100% 100% 90deg, #ffffff,' + notSelected + ')');
			$(".check").css('background', '-webkit-gradient(linear, 0% 0%, 0% 100%, from(' + notSelected + '), to(#ffffff))');
			$(".checked").css('-moz-box-shadow', '0px 0px 10px ' + selected);
			$(".checked").css('-webkit-box-shadow', '0px 0px 10px ' + selected);
			$(".checked").css('background', '-moz-linear-gradient(100% 100% 90deg, #ffffff,' + selected + ')');
			$(".checked").css('background', '-webkit-gradient(linear, 0% 0%, 0% 100%, from(' + selected + '), to(#ffffff))');
		}
		else
		{
			$(".chosen").css(
			{
				borderColor : selected,
				boxShadow : '0px 0px 10px ' + selected,
				background : selected,
			});
			$(".notChosen").css(
			{
				borderColor : notSelected,
				boxShadow : '0px 0px 10px ' + notSelected,
				background : notSelected,
			});
			$(".chosen").css('-moz-box-shadow', '0px 0px 10px ' + selected);
			$(".chosen").css('-webkit-box-shadow', '0px 0px 10px ' + selected);
			$(".chosen").css('background', '-moz-linear-gradient(100% 100% 90deg, #ffffff,' + selected + ')');
			$(".chosen").css('background', '-webkit-gradient(linear, 0% 0%, 0% 100%, from(' + selected + '), to(#ffffff))');
			$(".notChosen").css('-moz-box-shadow', '0px 0px 10px ' + notSelected);
			$(".notChosen").css('-webkit-box-shadow', '0px 0px 10px ' + notSelected);
			$(".notChosen").css('background', '-moz-linear-gradient(100% 100% 90deg, #ffffff,' + notSelected + ')');
			$(".notChosen").css('background', '-webkit-gradient(linear, 0% 0%, 0% 100%, from(' + notSelected + '), to(#ffffff))');
		}
	}
})(jQuery);